//colors
$borderItem: #e5e6ea;
#menu-mybrands{
  font-size: 18px;
  padding: 10px 0;
  .menu-mybrands{
    min-width: 750px;
    max-width: 870px;
    margin: auto;
  }
  .menu-mybrands-left{
    border-right: 1px solid #999999;
    padding-left: 0;
    padding-right: 0;
    width: 19%;
    float: left;
  }
  .dropdown{
    /*width: 50%;*/
    float: right;
    button{
      background: 0;
      border: 0;
    }
    .dropdown-menu{
      width: 100%;
      left: 0;
      padding: 5px 0;
      margin: 2px 0 0;
      display: none;
      li{
        width: 100%;
        &:hover{
          background-color: #f5f5f5;
        }
        a{
          font-size: 90%;
        }
      }
    }
    &.open{
      .dropdown-menu{
        display: block;
      }
    }
  }
  .feed-segment-menu.full-width ul{
    display: none !important;
  }
  .feed-segment-menu.full-width .open ul{
    display: block !important;
  }
}
.search-input{
  text-align: left;

  .fa-search{
    padding: 0 10px 0 20px;
  }

  a:hover, a:focus {
    text-decoration: none;
  }

  input{
    border: none;
    border-bottom: 2px solid #c3e5ff;
    /*margin-top: 22px;*/
    width: 255px;
    font-family: 'Aleo-Bold', Arial, sans-serif;
    font-size: 12px;
    //text-align: center;
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    -o-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transition: transform .3s;
    -o-transition: transform .3s;
    transition: transform .3s;
    transform-origin: 0;
    -webkit-transform-origin: 0;
    -ms-transform-origin: 0;
    -o-transform-origin: 0;
  }
}
.select{
  width: 100%;
  height: 100%;
  position: relative;  
  cursor: pointer;
  .arrow{
    display: inline-block;
    transform: rotate(90deg);
    position: relative;
    height: 100%;
    width: 12%;
  }
  .display{
    width:85%;
    display: inline-block;
    height: 100%;
  }
  .option{
     /*display: none !important;*/
     position: absolute;
     width: 100%;
     top: 81%;
     left: 0%;
     border: 1px solid black;
     background: white;
     z-index: 100;
     padding: 0;
     margin: 0;
     li{
       width: 100%;
       padding: 0;
       margin: 0;
       border: 0;
      &:hover{
        background: #B8B8B8;
      }              
     }
  }
  &.open{

    .arrow{
      transform: rotate(-90deg);
    }
  }
}
.mybrands {
  .container{
    min-width: 750px !important;
    max-width: 870px !important;
  }
  .love-brand-button{
    background: 0;
    &:hover{
     background-color: inherit;
     transition: none;
     border: 0;
    }
  }
  i.fa.fa-heart{
    margin: 0 !important;
    padding: 0 !important;
  }
  span.glyphicon.glyphicon-comment{
    padding: 0 !important;
    margin: 0 !important;
    &+*{
      color: #808080;
    }
  }
  i{    
    &.icon {
      cursor: pointer;
      width: 18px;
      height: 17px;
      position: relative;
      background-repeat: no-repeat;
      padding: 0;
      margin: 0;
      display: inline-block;
      top: 8%;
      line-height: 70px;
      background-size: 100%;
      margin-left: 5%;
    }
    &.loved{
      background-image: url('/images/icon/heart-1.svg');
       background-size: 100%;
    }
    &.love{
      background-image: url('/images/icon/heart-2.svg');
       background-size: 100%;
    }
  }
  .list {
    width: 100%;
    .item {
      width: 30%;
      margin: 0 1.5% 2rem 1.5%;
      display: inline-block;
      float: left;
      border: 1px solid $borderItem;
      border-radius: 5px;
      height: 325px;
      position: relative;
      background: white;

      .content {
        padding: 0 1rem 1rem;
        height: 72%;

        .brand-post {
          color: #a9a099;
          height: 62%;
          position: relative;

          .post-title {
            font-size: 2rem;
            white-space: normal;
            overflow: hidden;
            text-overflow: ellipsis;
            display: inline-block;
            margin-bottom: -3%;
            width: 55%;
          }

          .post-content {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            max-height: 75%;
            padding: 4px 1rem 0;
          }
        }

        .title {
          > span {
            font-size: 2.1rem;
            font-weight: 600;
          }

          .avatar-div {
            margin-top: -35px;
            .avatar {
              position: relative;
              float: none;
              margin: auto;
              border: 1px solid white;
            }
          }
        }

        .buttons {
          height: 12%;
          position: relative;
          text-align: center;
          &:before{
            content: '';
            background: $borderItem;
            height: 1px;
            position: relative;
            width: 109%;
            top: 0;
            left: -5%;
            display: block;
          }
          > *{
            display: inline-block;
            width: 32%;
            margin-top: 3%;
          }
          .brackets{
            float: right;
            margin-right: 25%;
          }
        }
      }

      .image-frame {
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
        height: 90px;
        background: #e9e9e9;
      }

      &.blank span.text {
        background: #e9e9e9;
        display: block;
        height: 1rem;
        position: relative;
        border-radius: 5px;
      }
    }
  }

  .load-more {
    text-align: center;
    width: 100%;
    color: #969495;
    cursor: pointer;

    .arrow {
      transform: rotate(90deg);
      position: relative;
      display: inline-block;
    }
  }
}

@media (max-width: 425px) {
  .mybrands .list .item {
    width: 45%;
    margin: 0 1.5% 2rem 1.5%;
  }
}
